# Gets all of the billing templates in the system. This method will scan all billing templates and and return them to the caller. Endpoint: GET /billingTemplates/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Query parameters: - `fields` (string) The fields that you want to retrieve; if omitted, the entire object is returned. - `exclusiveStartKey` (string) The start key, if you're making a subsequent request ## Response 200 fields (application/json): - `business_unit_id` (string, required) - `cancel_installment_schedules` (boolean) If set, reminders are sent to those who have failed installments - `description` (string) A description of the template - `expiring_credit_card_reminder_options` (object, required) - `expiring_credit_card_reminder_options.order_type_restriction` (string) Determines if/how to restrict the type of orders to Enum: "exclude", "include", "none" - `expiring_credit_card_reminder_options.order_types` (array) - `expiring_credit_card_reminder_options.reminders` (array) - `expiring_credit_card_reminder_options.reminders.card_expiration_date_end` (object, required) Credit card expiration date - `expiring_credit_card_reminder_options.reminders.card_expiration_date_end.number` (number, required) The unit of time - `expiring_credit_card_reminder_options.reminders.card_expiration_date_end.position` (string, required) How the unit relates to the reference date Enum: "after", "before", "on" - `expiring_credit_card_reminder_options.reminders.card_expiration_date_end.relative_to` (string, required) Enum: "the beginning of the month", "the beginning of the quarter", "the beginning of the week", "the beginning of the year", "the end of the month", "the end of the quarter", "the end of the week", "the end of the year", "the reference date" - `expiring_credit_card_reminder_options.reminders.card_expiration_date_end.unit_of_time` (string, required) Enum: "days", "months", "weeks", "years" - `expiring_credit_card_reminder_options.reminders.card_expiration_date_start` (object, required) Credit card expiration date - `expiring_credit_card_reminder_options.reminders.id` (number) A unique, unchangeable reminder id - `expiring_credit_card_reminder_options.reminders.name` (string) Optional name - `expiring_credit_card_reminder_options.reminders.notice_id` (string, required) The notice to send to the customer - `id` (string, required) The unique, string identifier of this billing template - `installment_schedule_cancellation_options` (object, required) - `installment_schedule_cancellation_options.date_range_end` (object, required) Date used to filter out schedules to cancel - `installment_schedule_cancellation_options.date_range_start` (object, required) Date used to filter out schedules to cancel - `installment_schedule_options` (object, required) - `installment_schedule_options.card_type_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `installment_schedule_options.card_types` (array) - `installment_schedule_options.date_range_end` (object, required) Date used to filter out schedules to bill - `installment_schedule_options.date_range_start` (object, required) Date used to filter out schedules to bill - `installment_schedule_options.do_not_send_standard_email_confirmations` (boolean) If true, the normal payment/order confirmations are not sent - `installment_schedule_options.failure_notice_id` (string) The notice to send if processing is unsuccessful - `installment_schedule_options.payment_type_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `installment_schedule_options.payment_types` (array) - `installment_schedule_options.success_notice_id` (string) The notice to send if processing is successful - `installment_schedule_reminder_options` (object, required) - `is_active` (boolean) Whether or not the template is active - `name` (string, required) The name of the billing template - `notification_email` (string) Te address to send notifications - `process_installment_schedules` (boolean) If set, installment schedules should be processed - `send_expiring_credit_card_reminders` (boolean) If set, reminders are sent to those whose credit cards are about to expire - `send_installment_schedule_reminders` (boolean) If set, reminders are to customers who own installment schedules suspended due to payment error - `send_statements` (boolean) If set, statements are generated for those who have open invoices - `statement_options` (object, required) - `statement_options.business_unit_ids` (array) - `statement_options.business_unit_restriction` (string) Determines if/how to restrict the type of invoices to Enum: "exclude", "include", "none" - `statement_options.customer_type` (string) The type of customer for whom statements should be generated Enum: "both", "contact", "organization" - `statement_options.statement_template_id` (string) The statement template to use; leave blank for default - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 429 fields ## Response 500 fields